Flame-Palette

Metadata

Analyzed metadata and errors of Flame-Palette.

{
   "abstracts_in_pod" : {
      "Flame::Palette" : "Perl extension to parse, unparse, create, process Flam3 palettes"
   },
   "author" : "TWESTWIND",
   "buildfile_executable" : 0,
   "dir_lib" : "lib",
   "dir_t" : "t",
   "dirs_array" : [
      "lib",
      "lib/Flame",
      "t"
   ],
   "dist" : "Flame-Palette",
   "easily_repackageable_by_fedora" : "fits_fedora_license",
   "error" : {
      "metayml_is_parsable" : "META.yml was not found"
   },
   "extension" : "tar.gz",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_pm_to_blib" : 0,
   "file_readme" : "README",
   "files_array" : [
      "README",
      "Makefile.PL",
      "MANIFEST",
      "lib/Flame/Palette.pm",
      "t/Flame-Palette.t"
   ],
   "files_hash" : {
      "MANIFEST" : {
         "mtime" : 1293579220,
         "size" : 67
      },
      "Makefile.PL" : {
         "mtime" : 1293501957,
         "size" : 557,
         "used" : [
            "5.008",
            "ExtUtils::MakeMaker"
         ]
      },
      "README" : {
         "mtime" : 1293579277,
         "size" : 849
      },
      "lib/Flame/Palette.pm" : {
         "license" : "Perl_5",
         "module" : "Flame::Palette",
         "mtime" : 1293579277,
         "required" : [
            "Exporter"
         ],
         "size" : 7736,
         "used" : [
            "5.008",
            "Carp",
            "Math::Interpolator::Knot",
            "Math::Interpolator::Linear",
            "XML::Parser",
            "XML::Writer",
            "strict",
            "warnings"
         ]
      },
      "t/Flame-Palette.t" : {
         "mtime" : 1293578137,
         "size" : 125632,
         "used" : [
            "Test::More",
            "XML::Writer",
            "strict",
            "warnings"
         ]
      }
   },
   "got_prereq_from" : "Makefile.PL",
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 1,
      "easily_repackageable_by_debian" : 1,
      "easily_repackageable_by_fedora" : 0,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "fits_fedora_license" : 0,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 0,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 0,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 0,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "85.37",
      "manifest_matches_dist" : 1,
      "metayml_conforms_to_known_spec" : 0,
      "metayml_declares_perl_version" : 0,
      "metayml_has_license" : 0,
      "metayml_has_provides" : 0,
      "metayml_has_repository_resource" : 0,
      "metayml_is_parsable" : 0,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 1,
      "valid_signature" : 1
   },
   "latest_mtime" : 1293579277,
   "license" : "defined in POD (lib/Flame/Palette.pm)",
   "license_file" : "lib/Flame/Palette.pm",
   "license_in_pod" : 1,
   "license_type" : "Perl_5",
   "licenses" : {
      "Perl_5" : [
         "lib/Flame/Palette.pm"
      ]
   },
   "manifest_matches_dist" : 1,
   "meta_yml" : {},
   "modules" : [
      {
         "file" : "lib/Flame/Palette.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "Flame::Palette"
      }
   ],
   "no_pax_headers" : 1,
   "package" : "Flame-Palette-0.02.tar.gz",
   "prereq" : [],
   "released_epoch" : 1293579791,
   "size_packed" : 15905,
   "size_unpacked" : 134841,
   "uses" : {
      "required_in_code" : {
         "Exporter" : 1
      },
      "used_in_code" : {
         "5.008" : 1,
         "Carp" : 1,
         "Math::Interpolator::Knot" : 1,
         "Math::Interpolator::Linear" : 1,
         "XML::Parser" : 1,
         "XML::Writer" : 1,
         "strict" : 1,
         "warnings" : 1
      },
      "used_in_config" : {
         "5.008" : 1,
         "ExtUtils::MakeMaker" : 1
      },
      "used_in_tests" : {
         "Test::More" : 1,
         "XML::Writer" : 1,
         "strict" : 1,
         "warnings" : 1
      }
   },
   "valid_signature" : -1,
   "version" : "0.02",
   "versions" : {
      "lib/Flame/Palette.pm" : {
         "Flame::Palette" : "0.02"
      }
   },
   "vname" : "Flame-Palette-0.02"
}